# Documentation Reference Template

Copy this section to other Thepia repository READMEs to ensure consistent documentation standards across all projects.

## For Repository READMEs

Add this section to the main README.md of any Thepia repository:

```markdown
## 📖 Documentation Standards

All Thepia projects follow our [Documentation Standards](https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html).

**For AI Assistants**: Reference the [Thepia Documentation Standards](https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html) when creating or updating documentation.
```

## For docs/ Directories

If a repository has its own docs/ directory, add this to docs/README.md:

```markdown
# [Project Name] Documentation

📖 **Documentation Standards**: All documentation follows [Thepia Documentation Standards](https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html).

## Quick Reference for AI Assistants

When writing documentation for this project:
- Follow [Thepia Documentation Standards](https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html)
- Use Diátaxis framework (Tutorials, How-To, Reference, Explanation)
- Include working code examples with realistic data
- Test all code before including in documentation
- Use active voice and present tense
- Define technical terms on first use
```

## For Pull Request Templates

Add this to .github/pull_request_template.md:

```markdown
## Documentation Checklist

- [ ] Documentation follows [Thepia Documentation Standards](https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html)
- [ ] Code examples are tested and working
- [ ] Technical terms are defined on first use
- [ ] Changes are reflected in relevant documentation
```

## For Contributing Guidelines

Add this to CONTRIBUTING.md:

```markdown
## Documentation Guidelines

All documentation must follow [Thepia Documentation Standards](https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html).

### Key Requirements:
- Use clear, scannable structure with proper headings
- Include working, tested code examples
- Follow Diátaxis framework for organization
- Write in active voice and present tense
- Include troubleshooting sections where relevant
```

## Direct Links for Easy Reference

Use these direct links in your repositories:

- **Main Standards**: https://github.com/thepian/thepia.com/blob/main/docs/documentation-standards.html
- **Quick Reference**: https://github.com/thepian/thepia.com/blob/main/docs/README.md#-for-ai-assistants
